module WeatherModel
  module SourceSchema
    CityForecast = 
      {
        sort: 'Forecast',
        table_name: :city_forecasts,
        schema: {
          datetime: :datetime,
          cityname: :string,
          temp_high: :string,
          temp_low: :string,
          weather_text: :string,
          weather_pic: :string,
          win_dir: :string,
          win_speed: :string,
        },
        options: {
          index: [:cityname, :date],
          expire: 11 * 24 * 60 * 60,
          unique: nil,
          belongs_to: nil,
          has_many: nil,
          
        },
        factory_name: :city_forecast,
        factory: {
          datetime: Time.parse('2017-05-16 16:00'),
          cityname: '上海',
          temp_high: '100',
          temp_low: '0',
          weather_text: '酷热严寒',
          weather_pic: 'http://xxx.com',
          win_dir: '东南西北风',
          win_speed: '1级',
        }
      }
  end 
end