# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'weather-model/version'

Gem::Specification.new do |spec|
  spec.name          = "weather-model"
  spec.version       = WeatherModel::VERSION
  spec.authors       = ["Ivan Lan"]
  spec.email         = ["mumumumushu@gmail.com"]

  spec.summary       = %q{Weather Model}
  spec.description   = %q{Weather Model}
  spec.homepage      = "https://git.tallty.com/weather/weather-model"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://git.tallty.com/weather/weather-model"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Object-Hash Mapping for Redis
  # https://github.com/soveran/ohm
  spec.add_dependency 'ohm'
  # Ohm plugin that exposes ttl control over modules
  # https://github.com/joseairosa/ohm-expire
  spec.add_dependency 'ohm-expire'

  spec.add_dependency 'activerecord'
  spec.add_dependency 'factory_girl_rails'

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "sqlite3"
  spec.add_development_dependency 'rspec-rails'
end
